Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

MX 17 Repository: The GIMP Thread

Message
Author
User avatar
Eadwine Rose
Forum Veteran
Forum Veteran
Posts: 6228
Joined: Wed Jul 12, 2006 2:10 am

Re: MX 17 Repository: The GIMP Thread

#41 Post by Eadwine Rose » Wed Jun 13, 2018 1:13 am

Oh I see an update in testing in gimp.. lessee..

gimp (version 2.10.2-1~mx17+2) will be upgraded to version 2.10.2-1~mx17+3
gimp-data (version 2.10.2-1~mx17+2) will be upgraded to version 2.10.2-1~mx17+3
libgimp2.0 (version 2.10.2-1~mx17+2) will be upgraded to version 2.10.2-1~mx17+3

libglib2.0 appears to have no changes (2.56.1-2~mx17+1)
freetype doesn't appear to be there on its own *shrug* I did select "all" but can't find it like that
fontconfig is upgradable but not pulled in by gimp (2.11.0-6.7+b1 to 2.13.0-4~mx17+1)

Does this appear ok to you? Not a clue ;)
MX-17.1_x64 Horizon 3-2018 * 4.15.0-1-amd64 ext4 Xfce 4.12.3 * AMD Asus M4A785TD-V EVO AM3 * ASUS GF GT640-1GD5-L NVIDIA 384.130 * AMD Proc. Athl II X4 635, sAM3 * HDA ATI SB VT1708S An * 2x4Gb DDR3 1600 Kingst * 22" Samsung SyncM P2250 * HP Envy5030

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16954
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The GIMP Thread

#42 Post by Stevo » Fri Jul 06, 2018 1:35 pm

Fontconfig is a separate, but related program than the libfontconfig libraries that get upgraded, so not pulling it in is a good thing.

GIMP 2.10.4 has now replaced 2.10.2 in the test repo. It will depend on the same backports as the previous 2.10.X versions, except it will pull in the even newer libbabl 0.1.52 and libgegl 0.4.4.

Let us know how the upgrade goes if you try it--Thanks!

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 449
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The GIMP Thread

#43 Post by stsoh » Fri Jul 06, 2018 4:01 pm

tried upgrade but err occurred, libbabl-0.1-0 (0.1.50-0.1~mx17+1 is not upgrade to 0.1.52-0.1~mx17+1).

Code: Select all

Err:1 http://iso.mxrepo.com/mx/testrepo stretch/test amd64 libbabl-0.1-0 amd64 0.1.52-0.1~mx17+1
  404  Not Found [IP: 168.235.87.212 80]
tried repo manager changed from la to utah, same err.

Code: Select all

Err:1 http://mxrepo.com/mx/testrepo stretch/test amd64 libbabl-0.1-0 amd64 0.1.52-0.1~mx17+1
  404  Not Found [IP: 70.40.214.183 80]
MX-17.1_x64 Horizon, G41M-P33 Combo (MS-7592), Pentium E5400 (2706 MHz), 8Gb RAM (984 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.
Accepted Linux when i found MX-Linux in 2016.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16954
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The GIMP Thread

#44 Post by Stevo » Fri Jul 06, 2018 5:46 pm

Well, at least that shows the dependencies are working correctly, now we just have to fix it in the repo!

The packages are available here for manual install for a while until we fix the repo: https://drive.google.com/open?id=11tElM ... oVPazDBErQ

Edit: Just did a test gimp 2.10.4 upgrade for amd64 in Virtual Box from the same repo, and it worked, so now I'm stumped. :confused:

Edit 2: Actually, it didn't work, but the Package Installer says it succeeed...maybe we should fix that. I'll PM Tim to see if he can fix the babl upload.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16954
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The GIMP Thread

#45 Post by Stevo » Fri Jul 06, 2018 6:11 pm

Yeah, it didn't upload correctly, it was supposed to replace 0.1.50: http://mxrepo.com/mx/testrepo/pool/test/b/babl/

Update: should be fixed quite soon, according to Tim. The link shows it's in the master repo now.

User avatar
stsoh
Forum Regular
Forum Regular
Posts: 449
Joined: Sun Aug 20, 2017 10:11 am

Re: MX 17 Repository: The GIMP Thread

#46 Post by stsoh » Sat Jul 07, 2018 4:14 am

upgrade successful, thank you. :happy:
MX-17.1_x64 Horizon, G41M-P33 Combo (MS-7592), Pentium E5400 (2706 MHz), 8Gb RAM (984 MT/s),
Intel 4 Series Integrated Graphics, Realtek PCIe Fast RTL8101/2/6E, PCI Gigabit RTL8169 Ethernets.
Accepted Linux when i found MX-Linux in 2016.

User avatar
Eadwine Rose
Forum Veteran
Forum Veteran
Posts: 6228
Joined: Wed Jul 12, 2006 2:10 am

Re: MX 17 Repository: The GIMP Thread

#47 Post by Eadwine Rose » Sat Jul 07, 2018 5:01 am

I searched for things gimp, this is what it is doing when I right click upgrade the gimp package:

Code: Select all

gimp (version 2.10.2-1~mx17+2) will be upgraded to version 2.10.4-0.1~mx17+1
gimp-data (version 2.10.2-1~mx17+2) will be upgraded to version 2.10.4-0.1~mx17+1
libavcodec57 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libavfilter6 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libavformat57 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libavresample3 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libavutil55 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libbabl-0.1-0 (version 0.1.50-0.1~mx17+1) will be upgraded to version 0.1.52-0.1~mx17+1
libgegl-0.4-0 (version 0.4.2-0.1~mx17+1) will be upgraded to version 0.4.4-0.1~mx17+1
libgegl-common (version 0.4.2-0.1~mx17+1) will be upgraded to version 0.4.4-0.1~mx17+1
libgimp2.0 (version 2.10.2-1~mx17+2) will be upgraded to version 2.10.4-0.1~mx17+1
libpostproc54 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libswresample2 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libswscale4 (version 7:3.3.4-1mx17+1) will be upgraded to version 7:3.4.2-1~mx17+1
libbluray2 (version 1:1.0.2-3~mx17+1) will be installed
libmysofa0 (version 0.6~dfsg0-1mx17+1) will be installed

The install:

Code: Select all

(Reading database ... 352771 files and directories currently installed.)
Preparing to unpack .../00-libbabl-0.1-0_0.1.52-0.1~mx17+1_amd64.deb ...
Unpacking libbabl-0.1-0:amd64 (0.1.52-0.1~mx17+1) over (0.1.50-0.1~mx17+1) ...
Selecting previously unselected package libbluray2:amd64.
Preparing to unpack .../01-libbluray2_1%3a1.0.2-3~mx17+1_amd64.deb ...
Unpacking libbluray2:amd64 (1:1.0.2-3~mx17+1) ...
Preparing to unpack .../02-libavformat57_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libavformat57:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../03-libavresample3_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libavresample3:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Selecting previously unselected package libmysofa0.
Preparing to unpack .../04-libmysofa0_0.6~dfsg0-1mx17+1_amd64.deb ...
Unpacking libmysofa0 (0.6~dfsg0-1mx17+1) ...
Preparing to unpack .../05-libpostproc54_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libpostproc54:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../06-libswresample2_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libswresample2:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../07-libswscale4_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libswscale4:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../08-libavfilter6_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libavfilter6:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../09-libavcodec57_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libavcodec57:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../10-libavutil55_7%3a3.4.2-1~mx17+1_amd64.deb ...
Unpacking libavutil55:amd64 (7:3.4.2-1~mx17+1) over (7:3.3.4-1mx17+1) ...
Preparing to unpack .../11-libgegl-common_0.4.4-0.1~mx17+1_all.deb ...
Unpacking libgegl-common (0.4.4-0.1~mx17+1) over (0.4.2-0.1~mx17+1) ...
Preparing to unpack .../12-libgegl-0.4-0_0.4.4-0.1~mx17+1_amd64.deb ...
Unpacking libgegl-0.4-0:amd64 (0.4.4-0.1~mx17+1) over (0.4.2-0.1~mx17+1) ...
Preparing to unpack .../13-gimp_2.10.4-0.1~mx17+1_amd64.deb ...
Unpacking gimp (2.10.4-0.1~mx17+1) over (2.10.2-1~mx17+2) ...
Preparing to unpack .../14-libgimp2.0_2.10.4-0.1~mx17+1_amd64.deb ...
Unpacking libgimp2.0 (2.10.4-0.1~mx17+1) over (2.10.2-1~mx17+2) ...
Preparing to unpack .../15-gimp-data_2.10.4-0.1~mx17+1_all.deb ...
Unpacking gimp-data (2.10.4-0.1~mx17+1) over (2.10.2-1~mx17+2) ...
Setting up libavutil55:amd64 (7:3.4.2-1~mx17+1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Setting up libbabl-0.1-0:amd64 (0.1.52-0.1~mx17+1) ...
Setting up libbluray2:amd64 (1:1.0.2-3~mx17+1) ...
Setting up libswresample2:amd64 (7:3.4.2-1~mx17+1) ...
Setting up gimp-data (2.10.4-0.1~mx17+1) ...
Installing new version of config file /etc/gimp/2.0/gimprc ...
Installing new version of config file /etc/gimp/2.0/templaterc ...
Setting up libgegl-common (0.4.4-0.1~mx17+1) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Setting up libswscale4:amd64 (7:3.4.2-1~mx17+1) ...
Setting up libpostproc54:amd64 (7:3.4.2-1~mx17+1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Processing triggers for hicolor-icon-theme (0.15-1) ...
Setting up libmysofa0 (0.6~dfsg0-1mx17+1) ...
Setting up libavresample3:amd64 (7:3.4.2-1~mx17+1) ...
Setting up libavcodec57:amd64 (7:3.4.2-1~mx17+1) ...
Setting up libavformat57:amd64 (7:3.4.2-1~mx17+1) ...
Setting up libavfilter6:amd64 (7:3.4.2-1~mx17+1) ...
Setting up libgegl-0.4-0:amd64 (0.4.4-0.1~mx17+1) ...
Setting up libgimp2.0 (2.10.4-0.1~mx17+1) ...
Setting up gimp (2.10.4-0.1~mx17+1) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...

When it is done it shows these two:
gimp.jpg

Did nothing with those, Gimp starts fine :) Thanks!!
You do not have the required permissions to view the files attached to this post.
MX-17.1_x64 Horizon 3-2018 * 4.15.0-1-amd64 ext4 Xfce 4.12.3 * AMD Asus M4A785TD-V EVO AM3 * ASUS GF GT640-1GD5-L NVIDIA 384.130 * AMD Proc. Athl II X4 635, sAM3 * HDA ATI SB VT1708S An * 2x4Gb DDR3 1600 Kingst * 22" Samsung SyncM P2250 * HP Envy5030

User avatar
junagu
Forum Novice
Forum  Novice
Posts: 4
Joined: Sat Jul 07, 2018 7:21 am

Re: MX 17 Repository: The GIMP Thread

#48 Post by junagu » Sat Jul 07, 2018 7:28 am

I'm getting this error when trying to run GIMP now that I've upgraded it to 2.10:

gimp: symbol lookup error: /usr/lib/x86_64-linux-gnu/libgegl-0.4.so.0: undefined symbol: babl_process_rows

I've tried purging it ll and starting again.
I've tried finding errant lib files in /usr/local.
No joy.

Can anyone help?

User avatar
richb
Administrator
Posts: 17478
Joined: Wed Jul 12, 2006 2:17 pm

Re: MX 17 Repository: The GIMP Thread

#49 Post by richb » Sat Jul 07, 2018 7:38 am

Gimp updated from the test repo and runs OK
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

User avatar
richb
Administrator
Posts: 17478
Joined: Wed Jul 12, 2006 2:17 pm

Re: MX 17 Repository: The GIMP Thread

#50 Post by richb » Sat Jul 07, 2018 7:40 am

junagu wrote:
Sat Jul 07, 2018 7:28 am
I'm getting this error when trying to run GIMP now that I've upgraded it to 2.10:

gimp: symbol lookup error: /usr/lib/x86_64-linux-gnu/libgegl-0.4.so.0: undefined symbol: babl_process_rows

I've tried purging it ll and starting again.
I've tried finding errant lib files in /usr/local.
No joy.

Can anyone help?
Did you update through the MX Package Installer and the test repo tab?
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

Post Reply

Return to “Package Requests/Status - MX 17”